Bug 1480103 - [patch] install metainfo.xml so octave-image appears in Software
[patch] install metainfo.xml so octave-image appears in Software
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: octave-image (Show other bugs)
27
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-10 03:38 EDT by Colin Macdonald
Modified: 2017-11-03 17:39 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-11-03 17:39:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
0001-Install-metainfo.xml-so-this-package-will-appear-in-.patch (1.95 KB, application/mbox)
2017-08-10 03:38 EDT, Colin Macdonald
no flags Details

  None (edit)
Description Colin Macdonald 2017-08-10 03:38:34 EDT
Created attachment 1311611 [details]
0001-Install-metainfo.xml-so-this-package-will-appear-in-.patch

Here's a patch.

Reasons for wanting this: https://fedoraproject.org/wiki/Workstation/AddonAppdata

BTW, just for fun and in case anyone other than @Orion is reading this: I tried this with pagure.  Forking was fine, but could not push to my fork to do a PR ("FATAL: W any forks/cbm/rpms/octave-image cbm DENIED by fallthru").
Comment 1 Colin Macdonald 2017-08-10 14:04:45 EDT
Orion: do you think it would be better to patch "macros.octave" instead of doing this for each octave-* package?

````
if [ -e octave-%{octpkg}.metainfo.xml ] \
then \
  cp -p octave-%{octpkg}.metainfo.xml %{buildroot}/%{_datadir}/appdata/ \
fi
````

etc
Comment 2 Orion Poplawski 2017-08-10 19:07:25 EDT
Yeah, I suspect that will be useful.
Comment 3 Colin Macdonald 2017-08-11 01:07:31 EDT
I filed #1480425 with my rather poor attempt at doing his in macros.octave.  Can you take a look?
Comment 4 Jan Kurik 2017-08-15 04:14:14 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.
Comment 5 Colin Macdonald 2017-11-03 17:39:35 EDT
Orion did this in 2.6.1-6, closing
Comment 6 Colin Macdonald 2017-11-03 17:39:58 EDT
sorry f27 not out yet, next release

Note You need to log in before you can comment on or make changes to this bug.